extends layout.pug
block title
  title PiouPiouZ - #{ user.displayName }
block content
  if currentUser && user.id === currentUser.id
    h1.d2 Votre profil
  else
    h1.d2 Profil de #{ user.displayName }
  if currentUser && user.id === currentUser.id
    p Username : #{ user.userName }
  p Display Name: #{ user.displayName }
  p Saved piouz: #{ user.savedPiouz }
  p Signup date: #{ formatDate(user.createdAt) }

  if currentUser && user.id === currentUser.id && !user.eternalTwinId
    .centerFlex
      a(href="/oauth/link") 
        img(src="/etwin/etwin-piou-nobg.png", width="50px", alt="Eternal Twin")
      h3 #[a(href="/oauth/link") Lier votre compte à Eternal Twin]

  each medal, index in user.medals
    div(class=`medal${ index + 1 }`)= medal

  .clear

  if currentUser && user.id === currentUser.id
    h2.d2 Vos niveaux
  else
    h2.d2 Niveaux de #{ user.displayName }
  include utils/levelList.pug
